package model.Africa

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources._10_strawberries
import recipeappkmp.shared.generated.resources.kuku_no_nazi
import kotlin.time.Duration

val kenyanList = listOf(
    Recipe(
        title = "Kuku Na Nazi",
        description = "Kenyan coconut chicken curry with aromatic spices and a creamy coconut milk and heavy cream sauce.",
        prepTime = Duration.parse("30m"),
        cookTime = Duration.parse("45m"),
        servings = "Serves 4-6",
        ingredients = listOf(
            "3 cloves Garlic",
            "2 Lemons, divided",
            "2.5 Tsp Diamond Crystal or 1.25 Tsp Morton Kosher Salt, divided, plus more",
            "0.25 Tsp Kashmiri Chile Powder",
            "2-3 lb. Skinless, Boneless Chicken Thighs (about 8 large)",
            "1 medium Onion",
            "1 plum Tomato",
            "1-2 Green Thai Chiles",
            "0.25 cup Cilantro Leaves with tender stems, plus more for serving",
            "2 Tbsp Extra-Virgin Olive Oil",
            "0.25 Tsp Ground Coriander",
            "0.25 Tsp Ground Cumin",
            "0.125 Tsp Ground Turmeric",
            "1 13.5-oz. can Unsweetened Coconut Milk",
            "0.25 cup Heavy Cream",
            "Basmati Rice and/or Crusty Bread (for serving)"
        ),
        instructions = listOf(
            "Finely grate Garlic [3 cloves] into a large bowl with a Microplane. Cut 1 Lemon in half and squeeze juice through your hand or a fine-mesh sieve into bowl; discard seeds. Mix in Salt [1 Tsp Diamond Crystal or 0.5 Tsp Morton] and Kashmiri Chile Powder [0.25 Tsp]. Add Chicken Thighs [2-3 lb] and toss to evenly coat. Cover bowl and let sit at room temperature 30 minutes.",

            "Meanwhile, make the curry base. Coarsely chop Onion [1], Tomato [1], Green Thai Chiles [1-2], and Cilantro Leaves [0.25 cup]. Transfer to a blender or food processor and blend or process until smooth.",

            "Heat broiler. Heat Extra-Virgin Olive Oil [2 Tbsp] in a high-sided skillet or large pot over medium. Add Ground Coriander [0.25 Tsp], Ground Cumin [0.25 Tsp], and Ground Turmeric [0.125 Tsp]. Cook, stirring, until fragrant, about 1 minute. Pour in purée and add Salt [1.5 Tsp Diamond Crystal or 0.75 Tsp Morton]. Stir to combine and cook, stirring occasionally, until raw onion smell subsides and curry is paste-like in consistency, 15–20 minutes.",

            "Arrange Chicken on a foil-lined rimmed baking sheet and broil until cooked through, charred in spots, and a thermometer inserted into the thickest parts registers 165°F (74°C), 17–20 minutes.",

            "While the Chicken is cooking, shake Coconut Milk [1 13.5-oz. can] to ensure coconut cream is incorporated, then add Coconut Milk to curry and stir well to combine. Curry should be pale yellow. Bring to a gentle simmer and cook until warm and slightly thickened, 5–10 minutes.",

            "Once Chicken is finished, add Chicken and any juices accumulated on baking sheet to curry and reduce heat to low; mix well to combine. Stirring constantly to prevent curry from breaking, dribble in Heavy Cream [0.25 cup]. Taste and season with more Salt if needed.",

            "Cut remaining Lemon into wedges. Serve Kuku Na Nazi with Basmati Rice and/or some Crusty Bread and Lemon wedges for squeezing over. Top with additional Cilantro to taste."
        ),
        tags = mapOf(
            "Kenyan" to TagType.CUISINE,
            "African" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Curry" to TagType.COURSE,
            "Simmered" to TagType.TECHNIQUE,
            "Broiled" to TagType.TECHNIQUE,
            "Savory" to TagType.FLAVOUR,
            "Spicy" to TagType.FLAVOUR,
            "Tangy" to TagType.FLAVOUR,
            "Creamy" to TagType.FLAVOUR,
            "Carnivorous" to TagType.PROTEIN,
            "Garlic" to TagType.FLAVOUR,
            "Herby" to TagType.FLAVOUR,
        ),
        image = Res.drawable.kuku_no_nazi, // Replace with your image resource
    )
)