package model.Americas

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources._10_strawberries
import recipeappkmp.shared.generated.resources.tinga
import kotlin.time.Duration

val mexicanList = listOf(
    Recipe (
        title = "Elote | Street Corn",
        description = "Grilled Street Corn with Cream Sauce and Chili Spices.",
        prepTime = Duration.parse("15m"),
        cookTime = Duration.parse("6m"),
        servings = "6 Ears",
        ingredients = listOf(
            "6 Medium Ears Sweet Corn",
            ".5 Cup Mexican Crema, or Sour Cream",
            ".5 Cup Mayonnaise",
            ".5 Cup Cilantro, Chopped",
            "2 Cloves Garlic",
            ".25 Tbsp Chipotle Powder, or to taste",
            "2 tsp Lime Zest, grated",
            "2 Tbsp Lime Juice",
            ".5 Cup Cotija Cheese, crumbled",
            "Lime Wedges, to serve"
        ),
        instructions = listOf(
            "In a bowl, whisk together the Crema [.5 Cup], Mayonnaise [.5 Cup], Cilantro [.5 Cup], Garlic [2 Cloves], Chipotle Pepper [.75 Tbsp]," +
                    " Lime Zest [2 Tsp] and Lime Juice [2 Tbsp]. Taste and season the mixture with Salt if needed. (Crema has a little Salt already, so" +
                    " add extra judiciously.) Set aside.",
            "Grill the Corn, about 3 minutes per side, until browned",
            "Slather with Crema Mixture, crumbled Cotija, and Chipotle Powder. Serve with Lime Wedges"

        ),
        tags = mapOf(
            "Mexican" to TagType.CUISINE,
            "Spicy" to TagType.FLAVOUR,
            "Grilled" to TagType.TECHNIQUE,
            "Street Food" to TagType.CUISINE,
            "Appetizer" to TagType.COURSE,
            "Vegetarian" to TagType.CUISINE,
            "Creamy" to TagType.FLAVOUR,
            "Savory" to TagType.FLAVOUR
        ),
        image = Res.drawable._10_strawberries
    ),

    Recipe(
        title = "Chicken Tinga",
        description = "Shredded chicken in a smoky chipotle tomato sauce.",
        ingredients = listOf(
            "3-4 medium Chicken breasts",
            "4-5 Tbsp Oil (olive oil)",
            "1-2 large Onions (sliced)",
            "4-5 medium Roma Tomatoes (or Smoked tomato)",
            "1 can Chipotle chiles in adobo (7oz)",
            "2-3 cloves Garlic",
            "1.5 Tsp Salt (or to taste)",
            "0.25 Tsp Mexican Oregano",
            "0.25 Tsp Dried Thyme",
            "0.25 Tsp Dried Marjoram",
            "0.25 Tsp Black Pepper",
            "1 can Refried Beans",
            "Small, thick cut slices of Ttoast"
        ),
        instructions = listOf(
            "Bring a pot of salty water to a boil and add the Chicken breasts. Let the Chicken simmer until cooked through. Skim the foam as it boils.",
            "While the Chicken cooks, place the Tomatoes [4-5 medium] in a medium saucepan, cover with water, bring to a simmer and cook for 8-10 minutes, until soft.",
            "Slice the Onions [1-2 large] thinly. Heat the Oil [4-5 Tbsp] in a large pan and add the Onions. Cook until soft and translucent for 5-6 minutes.",
            "In a blender, throw the Tomatoes [4-5 medium], Garlic [2-3 cloves], Salt [1.5 Tsp], pepper [0.25 Tsp], and 2-3 Chipotle chiles. Blend.",
            "Taste the salsa for Salt and pepper and adjust.",
            "Pour the salsa over Onions [1-2 large]. Add oregano [0.25 Tsp], marjoram [0.25 Tsp], thyme [0.25 Tsp], and pepper [0.25 Tsp]. Simmer the sauce for 7-8 minutes, stirring occasionally.",
            "Take the Chicken out of the broth, and shred the meat with two forks. Add it to the sauce and mix well.",
            "Serve over fresh, hot toast, with a layer of Refried beans."
        ),
        prepTime = Duration.parse("20m"),
        cookTime = Duration.parse("45m"),
        tags = mapOf(
            "Mexican" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Spicy" to TagType.FLAVOUR,
            "Savory" to TagType.FLAVOUR,
            "Sauce" to TagType.TECHNIQUE,
            "Carnivorous" to TagType.CUISINE
        ),
        image = Res.drawable.tinga,
        servings = "Serves 4-6"
    )
)