package model.Americas

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources.aji_de_gallina
import kotlin.time.Duration

val peruvianList = listOf(
    Recipe(
        title = "Aji de Gallina",
        description = "A Peruvian stew made with aji amarillo paste, giving it a rich yellow colour. Served with walnuts, black olives, and potatoes.",
        prepTime = Duration.parse("30m"),
        cookTime = Duration.parse("30m"),
        servings = "Serves 5",
        ingredients = listOf(
            "4 Yellow Potatoes",
            "4 Slices White Bread",
            ".75 Cup Evaporated Milk (Not Dry Milk)",
            "1.5 lbs Protein of Choice",
            "4 Cups Stock",
            "4 Yellow Aji Peppers",
            ".5 Cup Vegetable Oil",
            "2 Cloves Garlic, Minced",
            "1 Large Onion, fine Chopped",
            "3 Tbsp Walnuts, Chopped",
            "3 Tbsp Parmesan, Grated",
            "3 Cups White Rice, Cooked",
            "2 Hard Boiled Eggs, Quartered",
            "10 Black Olives",
        ),
        instructions = listOf(
            "Cook Potatoes [4] until tender. Cool, Peel, Quarter, and Set Aside.",
            "Place White Bread [4 Slices] in a bowl. Pour Evaporated Milk [.75 Cups] over to soak. Set Aside.",
            "Boil and Shred the Protein, if applicable. Reserve Stock.",
            "Blend Yellow Peppers [4] with Vegetable Oil [.5 Cup] until Smooth. Transfer to a saucepan.",
            "Add the Garlic [2 Cloves] and Onion [1] to the saucepan. Cook until soft.",
            "Take the Soaked Bread, Walnuts [3 Tbsp], Parmesan [3 Tbsp], and Blend until Smooth. Use more Milk, or the Stock, if needed.",
            "Add the Onion Mixture to the Blender with the Bread Mixture and Blend.",
            "Return the Mixture to the saucepan and add [1.5 Cups] Stock. Bring to a low simmer and add the Protein.",
            "Serve a portion with 1/2 Cup of Rice, some Potatoes, a Hard Boiled Egg Quarter, and Black Olives.",
        ),
        tags = mapOf(
            "Peruvian" to TagType.CUISINE,
            "Adaptable" to TagType.CUISINE,
            "Creamy" to TagType.FLAVOUR,
            "Spicy" to TagType.FLAVOUR,
            "Entree" to TagType.COURSE,
            "Stew" to TagType.TECHNIQUE,
            "Savory" to TagType.FLAVOUR,
        ),
        image = Res.drawable.aji_de_gallina,
    )
)