package model.Asia

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources._10_strawberries
import recipeappkmp.shared.generated.resources.chicken_and_dumplings
import recipeappkmp.shared.generated.resources.kung_pao
import recipeappkmp.shared.generated.resources.orange_chicken
import recipeappkmp.shared.generated.resources.san_bei_ji
import recipeappkmp.shared.generated.resources.sesame
import recipeappkmp.shared.generated.resources.taiwanese_popcorn_chicken
import recipeappkmp.shared.generated.resources.tso
import kotlin.time.Duration

val chineseList = listOf(
    Recipe(
        title = "Sweet & Sour Noodle Bowl",
        description = "Chinese Stir Fried Noodle Bowl with a Spicy Sweet & Sour Sauce.",
        prepTime = Duration.parse("10m"),
        cookTime = Duration.parse("15m"),
        servings = "3 Noodle Bowls",
        ingredients = listOf(
            "1 lb Wheat Noodles, cooked and drained",
            ".75 Cup Rice Wine Vinegar",
            ".5 Cup Honey",
            ".33 Cup Soy Sauce",
            "4 Tbsp Sesame Oil, divided",
            "2 Tbsp Lime Juice",
            "1 Tbsp Chili-Garlic Sauce",
            "1 to 2 Tsp Ground Ginger, to taste",
            "1 large Red Bell Pepper, trimmed, seeded, and sliced into thin strips",
            ".33 Cup Scallions (about 4), trimmed and sliced into thin rounds, plus more for garnishing",
            ".25 Cup fresh Cilantro Leaves, finely minced",
            "1 Tbsp Sesame Seeds, toasted if desired, optional for garnishing",
        ),
        instructions = listOf(
            "Cook Wheat Noodles. Drain and set aside.",
            "Add Rice Wine Vinegar [.75 Cup], Honey [.5 Cup], Soy [.33 Cup], Sesame Oil [2 Tbsp], Lime Juice [2 Tbsp], Chili Garlic Sauce [1 Tbsp]," +
                    " and Ginger [1.5 Tsp] to a bowl and whisk to combine. Set Aside.",
            "In a skillet, add Sesame Oil [2 Tbsp], Peppers, and cook until peppers are soft, about 5 minutes.",
            "Add the cooked Noodles, Sauce, and cook for about 2 minutes or warmed through. Toss Often until most of the sauce is absorbed.",
            "Garnish with Cilantro, Sesame Seeds, Scallions. Serve",
        ),
        tags = mapOf(
            "Chinese" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Stir Fried" to TagType.TECHNIQUE,
            "Spicy" to TagType.FLAVOUR,
            "Sweet" to TagType.FLAVOUR,
            "Sour" to TagType.FLAVOUR,
            "Savory" to TagType.FLAVOUR,
            "Vegetarian" to TagType.PROTEIN
        ),
        image = Res.drawable._10_strawberries
    ),

    Recipe(
        title = "General Tso's",
        description = "Chinese Crispy, Spicy, and Savory fried and sauced Chicken",
        prepTime = Duration.parse("15m"),
        cookTime = Duration.parse("15m"),
        servings = "Serves 4",
        ingredients = listOf(

            "HEADER-Sauce/Marinade",
            "3 Tbsp Soy Sauce",
            "1 Tbsp Hoisin",
            "1 Tbsp Rice Vinegar",
            "2 Tsp Chilli Paste",
            "1 Tsp Sesame Oil",
            "3 Tbsp Brown Sugar",
            "1 Tbsp Cornstarch",
            ".75 Cup Chicken Broth",

            "HEADER-Chicken",
            "600g Protein, cut into bite sized pieces",
            "1 Tsp Ginger",
            "1 Tsp Garlic",
            "1 Cup Cornstarch",
            "1-3 Cups Oil for Frying",

            "HEADER-Stir Fry Sauce",
            "2 Tbsp Oil",
            "2 Tsp Ginger",
            "2 Cloves Garlic",
            ".5 Tsp Red Chilli Flakes",

            "HEADER-Garnishes",
            "Sesame Seeds",
            "Scallions",
        ),
        instructions = listOf(
            "HEADER-Marinade and Sauce",
            "Mix Soy [3 Tbsp], Hoisin [1 Tbsp], Vinegar [1 Tbsp], Chilli [2 Tsp], and Sesame Oil [1 Tsp]",
            "Take [2 Tbsp] of the Marinade to mix with the Protein. Add the Ginger [1 Tsp] and Garlic [1 Tsp] and Marinate for 30 minutes.",
            "For the rest of the Sauce, add Brown Sugar [3 Tbsp] and Cornstarch [1 Tbsp]. Mix, and then add Chicken Broth [.75 Cup]",

            "HEADER-Protein Fry",
            "Add Cornstarch [1 Cup] into the Marinade and toss to coat. Make sure to separate and fully coat each piece." +
                    " Shake off the excess. A colander or mesh strainer can help.",
            "Heat Oil to 350-370F",
            "Fry Protein until cooked through, and golden brown on the outside",

            "HEADER-Stir Fry",
            "Heat Oil [2 Tbsp] in a wok. Add Ginger [2 Tsp], Garlic [2 Cloves], and Chilli Flakes [.5 Tsp].",
            "Add Sauce and bring to a simmer. Stir until it thickens slightly, then add Protein and toss to coat.",
        ),
        tags = mapOf(
            "Chinese" to TagType.CUISINE,
            "Stir Fried" to TagType.TECHNIQUE,
            "Entree" to TagType.COURSE,
            "Savory" to TagType.FLAVOUR,
            "Spicy" to TagType.FLAVOUR,
            "Adaptable" to TagType.PROTEIN,
            "Deep Fried" to TagType.TECHNIQUE,
        ),
        image = Res.drawable.tso,
    ),

    Recipe(
        title = "Sesame Chicken",
        description = "Chinese Deep Fried and Sauce Coated Savory Chicken with lots of Sesame.",
        prepTime = Duration.parse("10m"),
        cookTime = Duration.parse("20m"),
        servings = "Serves 5",
        ingredients = listOf(

            "HEADER-Marinade",
            "1 Egg White",
            "2 Tbsp Dark Soy",
            "2 Tbsp Shaoxing",
            "2 Tbsp Eighty Proof Vodka",
            ".25 Tsp Baking Soda",
            "3 Tbsp Cornstarch",
            "1 lb Protein of Choice, cut into bite sized pieces",

            "HEADER-Coating",
            ".5 Cup Flour",
            ".5 Cup Cornstarch",
            ".5 Tsp Baking Powder",
            ".5 Tsp Salt",

            "HEADER-Sauce",
            "3 Tbsp Dark Soy",
            "2 Tbsp Shaoxing",
            "2 Tbsp Rice Vinegar",
            "3 Tbsp Stock",
            "5 Tbsp Sugar",
            "2 Tsp Sesame Oil",
            "1 Tbsp Cornstarch",
            "2 Tsp Oil",
            "2 Tsp Garlic, Minced",
            "2 Tsp Ginger, Minced",
            "2 Tsp Scallion, Minced",
            "2 Tbsp Sesame Seeds",

            "HEADER-Finishing",
            "Oil for Deep Frying",
        ),
        instructions = listOf(

            "HEADER-Marinade",
            "In a medium bowl, beat Egg Whites [1] until foamy. Add Soy Sauce [2 Tbsp], Wine [2 Tbsp], and Vodka [2 Tbsp].",
            "Reserve Half of this Mixture.",
            "To the other half, add Baking Soda [.25 Tsp] and Cornstarch [3 Tbsp]. Add Protein [1 lb] and coat thoroughly. Cover and Set Aside.",

            "HEADER-Coating",
            "Combine Flour [.5 Cup], Cornstarch [.5 Cup], Baking Powder [.5 Tsp], and Salt [.5 Tsp]. Add the reserved Half of the Marinade." +
                    " Expect Coarse, Mealy clumps.",
            "At this point, begin Heating the Deep Frying Oil, about 350F.",

            "HEADER-Sauce",
            "Combine Soy Sauce [3 Tbsp], Wine [2 Tbsp], Vinegar [2 Tbsp], Stock [3 Tbsp], Sugar [5 Tbsp], Sesame Oil [2 Tsp], and Cornstarch [1 Tbsp]." +
                    " Set Aside.",
            "Combine Oil [2 Tsp], Garlic [2 Tsp], Ginger [2 Tsp], and Scallion [2 Tsp] in a Wok over medium. Cook for about 3 minutes.",
            "Add the Sauce, Stirring until it begins to thicken, about 1 minute, then remove from heat.",

            "HEADER-Fry",
            "Once the Oil is heated, begin coating the Protein. One at a time, toss thoroughly to coat in the Dry Mixture.",
            "Deep Fry in Batches until cooked through and golden brown.",
            "Once all the Protein has finished, add it to the Wok and return the heat. Toss everything and heat.",
        ),
        tags = mapOf(
            "Savory" to TagType.FLAVOUR,
            "Chinese" to TagType.CUISINE,
            "Stir Fried" to TagType.TECHNIQUE,
            "Entree" to TagType.COURSE,
            "Deep Fried" to TagType.TECHNIQUE,
            "Adaptable" to TagType.PROTEIN,
            "Sweet" to TagType.FLAVOUR,
            "Garlic" to TagType.FLAVOUR,
            "Ginger" to TagType.FLAVOUR,
            "Nutty" to TagType.FLAVOUR
        ),
        image = Res.drawable.sesame,
    ),

    Recipe(
        title = "Kung Pao Chicken",
        description = "Spicy Chinese stir fry Chicken with Peanuts and Sichuan Peppercorns.",
        prepTime = Duration.parse("8h"),
        cookTime = Duration.parse("20m"),
        ingredients = listOf(

            "HEADER-Sauce",
            "2.5 Tbsp (33g) Sugar",
            "1.5 Tsp (10g) Corn Starch",
            "2 Tbsp (30g) Soy Sauce",
            "2 Tbsp (40g) Dark Soy Sauce",
            "3 Tbsp (53g) Chinese Black Vinegar",
            ".25 Cup (44g) Stock",
            "3 Tbsp (36g) Water",
            "2.5 Tbsp (31g) Shaoxing Wine",

            "HEADER-Marinade",
            "2 lbs Protein of Choice, bite sized",
            "1 Tsp (4g) Corn Starch",
            "Pinch of White Pepper",
            "2 Tbsp (36g) Soy Sauce",
            "1 Tbsp (10g) Shaoxing Wine",

            "HEADER-Stir Fry",
            "3.5 tablespoons (53g) Vegetable Oil",
            ".25 cup (48g) Raw Peanuts",
            "8 dried Chilies",
            ".25 bunch Scallions",
            "1-inch knob Ginger, minced",
            "8 cloves Garlic, minced and divided",
            ".25 Tsp, (1g) ground Sichuan Peppercorn",
            "Additional Sliced Scallion for garnishing",
            "Additional Peanuts, crushed for garnishing",
        ),
        instructions = listOf(

            "HEADER-Sauce",
            "Combine all ingredients in a medium bowl and Set Aside.",

            "HEADER-Stir Fry",
            "Combine Protein [2 lb] with Cornstarch [1 Tsp], White Pepper, and toss to coat. Add Soy Sauce [2 Tbsp], Shaoxing [1 Tbsp], mix and let Marinate overnight.",
            "Heat Oil [3.5 Tbsp] in a Wok. Add Peanuts, Stir Frying until Golden, about 40 seconds. Remove and Set Aside.",
            "Add Chilies [8] to the Wok, Fry until crispy, about 30 seconds. Remove and Set Aside.",
            "Fry the Protein in Batches until Golden Brown and cooked through, about 3 minutes per batch. Remove and Set Aside.",
            "Add Scallions [.25 Bunch], frying for about 20 seconds. Add Ginger [1 inch], then Garlic [8 Cloves], then Szechuan [.25 Tsp]. Return other ingredients" +
                    " and fry for about 30 seconds.",
            "Add the Sauce and cook until thickened. Serve with Crushed Peanuts and Scallions.",

        ),
        tags = mapOf(
            "Chinese" to TagType.CUISINE,
            "Entree" to TagType.CUISINE,
            "Spicy" to TagType.FLAVOUR,
            "Nutty" to TagType.FLAVOUR,
            "Stir Fried" to TagType.TECHNIQUE,
            "Adaptable" to TagType.PROTEIN,
            "Savory" to TagType.FLAVOUR,
        ),
        image = Res.drawable.kung_pao,
    ),

    Recipe(
        title = "Orange Chicken",
        description = "Another American-Chinese dish. This time, bits of battered and fried chicken are served with a orange flavored glaze.",
        prepTime = Duration.parse("15m"),
        cookTime = Duration.parse("20m"),
        servings = "Serves 5",
        ingredients = listOf(
            "HEADER-Protein",
            "2 lbs Protein, bite-sized",
            "3 Eggs, whisked",
            ".33 Cup Cornstarch",
            ".33 Cup Flour",
            "Salt",
            "Oil For Frying",

            "HEADER-Orange Sauce",
            "1 Cup Orange Juice",
            ".5 Cup Sugar",
            "2 Tbsp Rice Vinegar",
            "2 Tbsp Soy Sauce",
            ".25 Tsp Ginger",
            ".25 Tsp Garlic Powder",
            ".5 Tsp Red Chili Flakes",
            "Orange Zest",
            "1 Tbsp Cornstarch",
        ),
        instructions = listOf(
            "HEADER-Orange Sauce",
            "Add Orange Juice [1 Cup], Sugar [.5 Cup], Vinegar [2 Tbsp], Soy [2 Tbsp], Ginger [.25 Tsp], Garlic [.25 Tsp], and Chili Flakes [.5 Tsp] to a pot." +
                    " Heat over medium for about 3 minutes",
            "Combine Cornstarch [1 Tbsp] with Water [2 Tbsp] to form a paste. Add to Sauce and stir until it thickens. Remove from heat and add Orange Zest [].",

            "HEADER-Stir Fry",
            "Heat Oil to 350F",
            "Mix Flour [.33 Cup] and Cornstarch [.33 Cup] in a shallow bowl with Salt.",
            "Dredge Protein in Eggs, then Flour Mixture.",
            "Fry Protein in Batches until Golden Brown and Cooked through",
            "Toss Protein in Orange Sauce and Serve",
        ),
        tags = mapOf(
            "American" to TagType.CUISINE,
            "Adaptable" to TagType.PROTEIN,
            "Chinese" to TagType.CUISINE,
            "Stir Fried" to TagType.TECHNIQUE,
            "Deep Fried" to TagType.TECHNIQUE,
            "Sweet" to TagType.FLAVOUR,
            "Savory" to TagType.FLAVOUR,
        ),
        image = Res.drawable.orange_chicken,
    ),

    Recipe(
        title = "San Bei Ji | Three Cup Chicken",
        description = "Chinese Chicken dish cooked in a 3 Cup Mixture of Soy, Kecap, Shaoxing Wine, and Basil.",
        prepTime = Duration.parse("10m"),
        cookTime = Duration.parse("15m"),
        servings = "Serves 3",
        ingredients = listOf(
            "1 lb Protein of Choice",
            "1 Tbsp Baking Soda",
            "2 Tbsp Toasted Sesame Oil",
            "2 in Piece of Ginger, Grated",
            "6 Cloves Garlic",
            "1.5 Tbsp Soy Sauce",
            "1.5 Tbsp Kecap Manis",
            "1.5 Tbsp Shaoxing Wine",
            "1 Bunch Thai Basil",
        ),
        instructions = listOf(
            "Cut the Protein into Bite Sized Pieces. Rub with Baking Soda [1 Tbsp] and Set aside for 10 minutes.",
            "Heat a opt on High with the Sesame Oil [2 Tbsp]. Add the Ginger [2 in], Garlic [6 Cloves], and fry until Aromatic.",
            "Add in the Protein and toss.",
            "Add the Soy Sauce [1.5 Tbsp], Kecap [1.5 Tbsp], Shaoxing [1.5 Tbsp] and stir. Cover and lower the heat. Simmer for 5-10 minutes or cooked through.",
            "Toss with the Basil [1 Bunch] and Serve.",
        ),
        tags = mapOf(
            "Chinese" to TagType.CUISINE,
            "Stir Fried" to TagType.TECHNIQUE,
            "Entree" to TagType.COURSE,
            "Savory" to TagType.FLAVOUR,
            "Adaptable" to TagType.PROTEIN,
        ),
        image = Res.drawable.san_bei_ji,
        linkedRecipes = listOf(
            kecapManis //Kecap
        ),
    ),

    Recipe(
        title = "Taiwanese Fried Chicken",
        description = "Crispy and flavorful Taiwanese fried chicken, marinated in aromatic spices and fried to golden perfection.",
        prepTime = Duration.parse("2h 15m"), // 2 hours marinade + 15 mins prep
        cookTime = Duration.parse("15m"),
        servings = "Serves 4",
        ingredients = listOf(
            "HEADER-Chicken & Marinade",
            "1 pound boneless, skinless Chicken Thighs (cut into 1-inch/2.5cm pieces)",
            "1 heaping Tbsp Garlic (minced)",
            "1 Tbsp Light Soy Sauce",
            "1 Tbsp Shaoxing Wine",
            "0.5 Tsp Sugar",
            "0.5 Tsp Five Spice Powder",
            "0.5 Tsp White Pepper",
            "0.25 Tsp Salt",

            "HEADER-Batter",
            "0.25 cup All Purpose Flour",
            "0.25 cup Water",
            "2 Tbsp Sweet Potato Starch",
            "0.5 Tsp Baking Powder",
            "0.25 Tsp Salt",
            "0.25 Tsp White Pepper",

            "HEADER-Finishing",
            "20-25 Thai Basil Leaves (optional)",
            "Vegetable Oil (can substitute canola oil, peanut oil, or any other frying oil of choice)",
            "1 cup Sweet Potato Starch",
            "Salt and White Pepper (to taste)"
        ),
        instructions = listOf(
            "HEADER-Marinade",
            "In a medium bowl, combine the Chicken pieces [1 pound] with the Garlic [1 heaping Tbsp], Light Soy Sauce [1 Tbsp], Shaoxing Wine [1 Tbsp], Sugar [0.5 Tsp], Five Spice Powder [0.5 Tsp], White Pepper [0.5 Tsp], and Salt [0.25 Tsp]. Cover and marinate in the refrigerator for at least 2 hours, or ideally overnight.",

            "HEADER-Batter",
            "Make the batter just before frying. In a medium bowl, combine the All Purpose Flour [0.25 cup], Water [0.25 cup], Sweet Potato Starch [2 Tbsp], Baking Powder [0.5 Tsp], Salt [0.25 Tsp], and White Pepper [0.25 Tsp]. Toss this batter mixture into the marinated Chicken.",

            "HEADER-Basil (Optional)",
            "If using, wash the Thai Basil Leaves [20-25], and run them through a salad spinner to dry them. Thoroughly pat them dry on a kitchen towel to get rid of any lingering moisture (or it may cause splattering in the frying oil). Set aside.",

            "HEADER-First Fry",
            "Add 2 inches of Vegetable Oil to a medium pot, and bring it to 350°F/175°C over medium heat. You may need to adjust the heat to keep the oil temperature at 350°F/175°C during frying.",
            "First, fry the Basil Leaves until they turn a dark green color. Strain them out and set aside. ",
            "Coat each piece of battered Chicken in Sweet Potato Starch [1 cup], and immediately lower it into the 350°F/175°C oil in batches (about a quarter to a third of the Chicken per batch). Do not coat the Chicken ahead of time, or the coating will become soggy. Fry for 1 minute. Remove the Chicken from the oil, set aside, and continue frying subsequent batches, for 1 minute for each batch.",

            "HEADER-Second Fry",
            "Now it’s time for the second fry. With the temperature still at 350°F/175°C, fry the batches again (in the same order you initially fried them in)—this time, for 2 minutes, until the pieces float to the surface and are crispy.",

            "HEADER-Finish & Serve",
            "Once the second fry is done, sprinkle with additional Salt and White Pepper to taste, and serve with the Thai Basil Leaves, if using."
        ),
        tags = mapOf(
            "Taiwanese" to TagType.CUISINE,
            "Chinese" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Deep Fried" to TagType.TECHNIQUE,
            "Savory" to TagType.FLAVOUR,
            "Spicy" to TagType.FLAVOUR,
            "Garlic" to TagType.FLAVOUR,
            "Carnivorous" to TagType.PROTEIN,
            "Herby" to TagType.FLAVOUR,
        ),
        image = Res.drawable.taiwanese_popcorn_chicken, // Replace with your image resource
    ),

    Recipe(
        title = "Schezwan Burnt Garlic Chicken",
        description = "Crispy Chicken pieces tossed in a spicy Schezwan burnt garlic sauce with colorful bell peppers and spring onions.",
        prepTime = Duration.parse("2h 15m"), // 1-2 hours marinade + 15 mins prep
        cookTime = Duration.parse("20m"),
        servings = "Serves 4",
        ingredients = listOf(
            "HEADER-Protein & Marination",
            "250 gms Protein of Choice (originally boneless chicken)",
            "2-3 Tbsp Soy Sauce (for marination)",
            "1 Tsp Green Chilly Sauce (for marination)",
            "0.25 Tsp Pepper Powder (for marination)",
            "Salt (for marination)",
            "1 Egg",
            "2 Tbsp Cornflour",
            "2 Tbsp All Purpose Flour",

            "HEADER-Sauce & Veggies",
            "8-10 cloves Garlic (finely chopped)",
            "1 Onion (chopped)",
            "4-5 cloves Garlic",
            "3-4 Red Whole Chilies",
            "1 Tbsp Ginger (finely chopped)",
            "1 Green Chilly",
            "2 Tbsp Schezwan Chutney",
            "2-3 Tbsp Soy Sauce",
            "Vinegar",
            "0.5 Tsp Sugar",
            "1 Tbsp Cornflour (in 1 cup water)",
            "1 Tsp Red Chilly Sauce",
            "1 Tsp Green Chilly Sauce",
            "0.5 cup Spring Onions (greens)",
            "0.5 cup Red Bell Pepper (cubed)",
            "0.5 cup Green Capsicum (cubed)",
            "0.5 cup Yellow Bell Pepper (cubed)",
            "0.125 Tsp Pepper Powder",
            "Spring Onions (bulbs, halved)",

            "HEADER-Frying",
            "Oil / Butter"
        ),
        instructions = listOf(
            "HEADER-Marination",
            "Clean, wash, and chop Protein [250 gms] into thick pieces and marinate with Soy Sauce [2-3 Tbsp], Green Chilly Sauce [1 Tsp], Pepper Powder [0.25 Tsp], and Salt for 1-2 hours.",

            "HEADER-Fry Protein",
            "In a kadhai, heat sufficient Oil for deep frying.",
            "In the marinated Protein, add beaten Egg [1], Cornflour [2 Tbsp], and All Purpose Flour [2 Tbsp]. Mix well.",
            "Drop few Protein pieces in hot Oil and deep fry them in batches until they turn golden brown in color.",
            "Drain on an absorbent paper and keep aside.",

            "HEADER-Burnt Garlic Oil",
            "In a wok, add Oil, and 4-5 cloves of Garlic and 3-4 Red Whole Chilies.",
            "Once the Garlic and Chilies turn dark in color, off the gas. Drain and discard the Chilies and Garlic.",

            "HEADER-Make Sauce",
            "Now in the same wok or nonstick deep pan, add chopped Ginger [1 Tbsp] and Garlic [8-10 cloves] in the prepared Garlic Chilly Oil.",
            "Fry for a minute or two, add chopped Onions [1] and fry for a minute again until translucent.",
            "Now add Schezwan Chutney [2 Tbsp], Salt, Pepper Powder [0.125 Tsp], Vinegar, Soy Sauce [2-3 Tbsp], Red Chilly Sauce [1 Tsp], Green Chilly Sauce [1 Tsp], and Sugar [0.5 Tsp].",
            "In a small bowl, dilute Cornflour [1 Tbsp] in Water [1 cup] and add to the gravy.",
            "Once the gravy thickens, add Protein, Spring Onions white (bulbs), chopped Green Chilly [1], and all 3 colored Bell Peppers [0.5 cup each]. Adjust the seasonings like Salt and Pepper and adjust the sauces too if needed.",

            "HEADER-Finish & Serve",
            "Garnish with chopped Spring Onion greens [0.5 cup]. Transfer to serving dish or bowl, serve hot immediately."
        ),
        tags = mapOf(
            "Chinese" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Deep Fried" to TagType.TECHNIQUE,
            "Stir Fried" to TagType.TECHNIQUE,
            "Spicy" to TagType.FLAVOUR,
            "Garlic" to TagType.FLAVOUR,
            "Savory" to TagType.FLAVOUR,
            "Adaptable" to TagType.PROTEIN,
        ),
        image = Res.drawable._10_strawberries, // Replace with your image resource
    )
)