package model.Asia

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources._10_strawberries
import kotlin.time.Duration

val indianList = listOf(
    Recipe(
        title = "Street Food Jalfrezi",
        description = "This Dish, originally made with Chicken, is a chili and masala powder spiced flat bread wrap. Served with Yoghurt and mint herb," +
                " and stuffed with peppers and tomatoes.",
        ingredients = listOf(

            "HEADER-Coating",
            "1 Tbsp Flour",
            "2 Tsp Garam Masala Powder",
            "2 Tsp Ground Cumin",
            "1 Tsp Chilli Flakes",
            ".5 Tsp Black Onion Seed",
            "450g Protein of Choice, thin sliced",

            "HEADER-Filling",
            "2 Tbsp Ghee",
            "1 Red Pepper, thin sliced",
            "1 Green Pepper, thin sliced",
            "2 Medium Tomatoes, thin sliced",
            "1 Tsp Brown Sugar",

            "HEADER-To Serve",
            "75ml Yoghurt",
            "5ml Mint Herb",
            "4 Naan Breads",
            "Salt",
        ),
        instructions = listOf(
            "Combine Flour [1 Tbsp], Garam Masala [2 Tsp], Cumin [2 Tsp] Chilli Flakes [1 Tsp], and Black Onion Seed [.5 Tsp] in a bowl.",
            "Add the Sliced Protein and toss to coat.",
            "Heat Ghee in a nonstick pan. Cook Protein 6-8 minutes, or until done, depending.",
            "Add Peppers, cook for a further 2 minutes",
            "Add Tomatoes and Sugar and cook for 2-3 minutes more, or until Tomatoes are softened",
            "Combine Yoghurt [75ml] and Mint [5ml]",
            "To Serve, wrap naan around Protein-Pepper Mixture, drizzle with Yoghurt.",
        ),
        tags = mapOf(
            "Savory" to TagType.FLAVOUR,
            "Street Food" to TagType.CUISINE,
            "Indian" to TagType.CUISINE,
            "Adaptable" to TagType.PROTEIN,
            "Entree" to TagType.COURSE,
            "Spicy" to TagType.FLAVOUR,
            "Tangy" to TagType.FLAVOUR,
            "Herby" to TagType.FLAVOUR,
            "Wrapped" to TagType.TECHNIQUE,
            "Stir Fried" to TagType.TECHNIQUE
        ),
        prepTime = Duration.parse("15m"),
        cookTime = Duration.parse("15m"),
        servings = "Makes 4 Wraps",
        image = Res.drawable._10_strawberries
    ),

    Recipe(
        title = "Butter Chicken",
        description = "Creamy and aromatic chicken pieces in a rich tomato and cream sauce.",
        prepTime = Duration.parse("1h 15m"), // 30 mins to 1 hour marinade + 15 mins prep
        cookTime = Duration.parse("40m"),
        servings = "Serves 4-6",
        ingredients = listOf(
            "HEADER-Protein Marinade",
            "28 oz (800g) Protein of Choice (cut into bite-sized pieces)",
            "0.5 cup Plain Yogurt",
            "1.5 Tbsp Minced Garlic",
            "1 Tbsp Minced Ginger (or finely grated)",
            "2 Tsp Garam Masala",
            "1 Tsp Turmeric",
            "1 Tsp Ground Cumin",
            "1 Tsp Red Chili Powder",
            "1 Tsp Salt",

            "HEADER-Sauce",
            "2 Tbsp Olive Oil",
            "2 Tbsp Ghee (or 1 Tbsp Butter + 1 Tbsp Oil)",
            "1 large Onion (sliced or chopped)",
            "1.5 Tbsp Garlic (minced)",
            "1 Tbsp Ginger (minced or finely grated)",
            "1.5 Tsp Ground Cumin",
            "1.5 Tsp Garam Masala",
            "1 Tsp Ground Coriander",
            "14 oz (400 g) Crushed Tomatoes",
            "1 Tsp Red Chili Powder (adjust to your taste preference)",
            "1.25 Tsp Salt (or to taste)",
            "1 cup Heavy or Thickened Cream (or evaporated milk)",
            "1 Tbsp Sugar",
            "0.5 Tsp Kasoori Methi (or dried fenugreek leaves)"
        ),
        instructions = listOf(
            "HEADER-Marinade",
            "In a bowl, combine Protein [28 oz] with all of the ingredients for the Protein Marinade; let marinate for 30 minutes to an hour (or overnight if time allows).",

            "HEADER-Fry Protein",
            "Heat Olive Oil [2 Tbsp] in a large skillet or pot over medium-high heat. When sizzling, add Protein pieces in batches of two or three, making sure not to crowd the pan. Fry until browned for about 3 minutes on each side. Set aside and keep warm. (You will finish cooking the Protein in the sauce.)",

            "HEADER-Make Sauce",
            "Heat Ghee [2 Tbsp] in the same pan. Fry the Onions [1] until they start to sweat (about 6 minutes) while scraping up any browned bits stuck on the bottom of the pan.",
            "Add Garlic [1.5 Tbsp] and Ginger [1 Tbsp] and sauté for 1 minute until fragrant, then add Ground Coriander [1 Tsp], Cumin [1.5 Tsp], and Garam Masala [1.5 Tsp]. Let cook for about 20 seconds until fragrant, while stirring occasionally.",
            "Add Crushed Tomatoes [14 oz], Chili Powder [1 Tsp], and Salt [1.25 Tsp]. Let simmer for about 10-15 minutes, stirring occasionally until sauce thickens and becomes a deep brown-red color.",
            "Remove from heat, scoop mixture into a blender and blend until smooth. You may need to add a couple tablespoons of water to help it blend (up to 0.25 cup). Work in batches depending on the size of your blender.",

            "HEADER-Finish & Serve",
            "Pour the puréed sauce back into the pan. Stir the Cream [1 cup], Sugar [1 Tbsp], and crushed Kasoori Methi [0.5 Tsp] through the sauce. Add the Protein with juices back into the pan and cook for an additional 8-10 minutes until Protein is cooked through and the sauce is thick and bubbling."
        ),
        tags = mapOf(
            "Indian" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Curry" to TagType.COURSE,
            "Simmered" to TagType.TECHNIQUE,
            "Pan Fried" to TagType.TECHNIQUE,
            "Savory" to TagType.FLAVOUR,
            "Spicy" to TagType.FLAVOUR,
            "Creamy" to TagType.FLAVOUR,
            "Adaptable" to TagType.PROTEIN,
            "Garlic" to TagType.FLAVOUR,
            "Ginger" to TagType.FLAVOUR,
        ),
        image = Res.drawable._10_strawberries, // Replace with your image resource
    )
)