package model.Asia

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources._10_strawberries
import recipeappkmp.shared.generated.resources.karaage
import recipeappkmp.shared.generated.resources.teriyaki
import kotlin.time.Duration

val japaneseList = listOf(
    Recipe(
        title = "Teriyaki",
        description = "Protein grilled with a glaze of Soy Sauce, Mirin, and Sugar.",
        ingredients = listOf(
            "2 lbs Protein of Choice, cut to size",
            "3.5 Tbsp Mirin",
            "3.5 Tbsp Soy Sauce",
            "1.5 Tsp Kecap Manis",
            "2 Tbsp Brown Sugar",
            "1 Tsp Ginger",
            "1.5 Tsp Sesame Oil",
            "1 Tbsp Cornstarch",
            "2 Tbsp Oil",
        ),
        instructions = listOf(
            "Mix All except Oil. Marinate Protein in sauce for 2 hours.",
            "Heat Oil in a Wok. Transfer the Protein to the wok, reserving the Marinade.",
            "Sear undisturbed for 1-2 minutes, then stir fry for another",
            "Add the Marinade to the wok, reduce heat to medium, and simmer until sauce thickens and heats through.",
        ),
        tags = mapOf(
            "Japanese" to TagType.CUISINE,
            "Grilled" to TagType.TECHNIQUE,
            "Stir Fried" to TagType.TECHNIQUE,
            "Entree" to TagType.COURSE,
            "Savory" to TagType.FLAVOUR,
            "Adaptable" to TagType.PROTEIN,
            "Sweet" to TagType.FLAVOUR,
            "Ginger" to TagType.FLAVOUR,
            "Nutty" to TagType.FLAVOUR,
            "Simmered" to TagType.TECHNIQUE
        ),
        cookTime = Duration.parse("10m"),
        prepTime = Duration.parse("2h 15m"),
        servings = "Serves 4 people",
        image = Res.drawable.teriyaki,
        linkedRecipes = listOf(
          kecapManis, //Kecap Manis
        )
    ),

    Recipe(
        title = "Karaage",
        description = "Japanese fried chicken marinated in ginger, garlic, and soy sauce, then double-fried for extra crispiness.",
        prepTime = Duration.parse("1d 15m"), // 1 day marinade + 15 mins prep
        cookTime = Duration.parse("15m"),
        servings = "Serves 4",
        ingredients = listOf(
            "HEADER-Marinade",
            "1.5 Tsp grated fresh Ginger, with its juice",
            "6 cloves Garlic",
            "2 Tbsp Dry Sake",
            "3 Tbsp Soy Sauce",
            "2 Tsp Sugar",
            "1 lb Protein of Choice (originally Chicken Breasts)",

            "HEADER-Coating",
            "1 cup Potato Starch (Katakuriko)",
            "0.25 Tsp Fine Sea Salt",
            "0.5 Tsp Black Pepper",

            "HEADER-Frying",
            "Flying Oil (Vegetable, Canola, Peanut, etc.)"
        ),
        instructions = listOf(
            "HEADER-Marinade",
            "In a shallow baking dish large enough to hold the Protein, combine Ginger [1.5 Tsp], Garlic [6 cloves], Sake [2 Tbsp], Soy Sauce [3 Tbsp], and Sugar [2 Tsp]. Toss Protein pieces [1 lb] in marinade to coat. Cover and refrigerate for 1 day.",

            "HEADER-First Fry",
            "Heat Oil in a fryer to 350°F (175°C).",
            "While the oil heats: In a bowl, combine Potato Starch [1 cup], Salt [0.25 Tsp], and Pepper [0.5 Tsp]. Coat the Protein.",
            "Gently shake off excess Potato Starch before cooking each piece of Protein. Fry 3 or 4 pieces at a time, keeping oil temperature above 300°F (150°C). Fry until Protein is cooked through. Remove from oil using a wire-mesh spoon or long chopsticks, and cool on newsprint or paper towels.",

            "HEADER-Second Fry",
            "When all the Protein has been fried once, increase the oil’s temperature to 375°F (190°C). Fry Protein pieces a second time, until the crust is deep golden brown, about 1 minute. Drain on newsprint or paper towels. This second frying makes the coating stay extra crisp, even if you don’t serve it immediately."
        ),
        tags = mapOf(
            "Japanese" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Deep Fried" to TagType.TECHNIQUE,
            "Savory" to TagType.FLAVOUR,
            "Garlic" to TagType.FLAVOUR,
            "Ginger" to TagType.FLAVOUR,
            "Adaptable" to TagType.PROTEIN,
        ),
        image = Res.drawable.karaage, // Replace with your image resource
    )
)