package model.Asia

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources._10_strawberries
import recipeappkmp.shared.generated.resources.ayam_kecap
import recipeappkmp.shared.generated.resources.opor_ayam
import recipeappkmp.shared.generated.resources.satay
import kotlin.time.Duration

val seaList = listOf(
        Recipe(
        title = "Opor Ayam",
        description = "Chicken with carmelised Onion in a rich coconut gravy.",
        prepTime = Duration.parse("8h"),
        cookTime = Duration.parse("40m"),
        servings = "Serves 4",
        ingredients = listOf(

            "HEADER-Marinade",
            "1.5kg Protein of Choice",
            "2 Cloves Garlic",
            "8 Shallots",
            "1 cm piece Turmeric Root",
            ".5 Tsp Black Pepper",
            "2 Tsp Coriander",
            "4 Candlenuts",
            ".5 Tsp Fennel",
            ".5 Tsp Cumin",
            "1.5 cm piece Ginger Root",
            "3 cm piece Galangal",

            "HEADER-Gravy",
            "1 Stalk Lemon Grass",
            "1 Cinnamon Stick",
            "1 Star Anise",
            "2 Daun Salam [Bay Leaves]",
            "100 ml Thick Coconut Milk",
            "300 ml Thin Coconut Milk",
            "1 Tbsp Tamarind Juice",
            "3 Lime Leaves",

            "HEADER-Finishing",
            "3 Shallots",
            "Salt",
            "1 Tsp Brown Sugar",
        ),
        instructions = listOf(

            "HEADER-Marinade",
            "Grind all of the Marinade ingredients with [1 Tbsp] of oil into a paste.",
            "Marinate Protein for several hours, up to overnight.",

            "HEADER-Curry",
            "Fry Shallots [3] in a wok until brown and crispy. Drain from Oil.",
            "Add Protein to Wok and Fry until Firm.",
            "Add the Lemon Grass [1 Stalk], Cinnamon Stick [1 Stick], Star Anise [1], Daun Salam [2], and Thin Coconut Milk [100 ml] and Simmer for 15-20 Minutes",
            "Add Tamarind Juice [1 Tbsp] and Thick Coconut Milk [300 ml]. Cook another 10-15 minutes. Halfway through, add Salt, Brown Sugar [1 Tsp], and Lime Leaves [3]",
            "Serve Garnished with Crispy Shallots",
        ),
        tags = mapOf(
            "Indonesian" to TagType.CUISINE,
            "SEA" to TagType.CUISINE,
            "Savory" to TagType.FLAVOUR,
            "Creamy" to TagType.FLAVOUR,
            "Curry" to TagType.TECHNIQUE,
            "Adaptable" to TagType.PROTEIN,
            "Entree" to TagType.COURSE,
            "Garlic" to TagType.FLAVOUR,
            "Ginger" to TagType.FLAVOUR,
            "Spicy" to TagType.FLAVOUR,
            "Nutty" to TagType.FLAVOUR,
            "Simmered" to TagType.TECHNIQUE
        ),
        image = Res.drawable.opor_ayam,
    ),

    Recipe(
        title = "Ayam Kecap",
        description = "Indonesian Sweet Soy Chicken",
        ingredients = listOf(
            "800g Protein of Choice (boneless or with bones, cut into pieces)",
            "3 Tbsp Tamarind juice",
            "1 Tsp Salt (for marinade)",
            "2 medium Onions (sliced)",
            "2 Cloves Garlic (finely sliced)",
            "2 Red or green chillies (sliced diagonally)",
            "0.5 Tsp Coarse black pepper",
            "0.33 Cup Kecap Manis (sweet soy sauce)",
            "Cooking Oil"
        ),
        instructions = listOf(
            "Marinate the Protein with Tamarind juice [3 tbsp] and Salt [1 tsp]. Pierce the meat with a skewer or fork. Set aside for 30 minutes.",
            "Heat oil in a wok or frying pan. Deep-fry or steam-fry the Protein until cooked.",
            "For steam-frying, Heat [2 tbsp] oil and fry Protein until opaque. Cover and steam-cook until done (12-25 minutes depending on bone-in/boneless). Set aside.",
            "Fry Onions [2 medium] in [4-5 tbsp] oil until light golden. Add Garlic [2 cloves] and chillies [2]. Fry for 3 minutes.",
            "Add Kecap Manis [0.33 cup], black pepper [0.5 tsp], and Salt [1 tsp]. Cook for 3-5 minutes until sauce bubbles.",
            "Add fried Protein. Stir until coated with sauce. Simmer for 3 minutes. Turn off heat."
        ),
        prepTime = Duration.parse("30m"),
        cookTime = Duration.parse("35m"),
        tags = mapOf(
            "Indonesian" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Sweet" to TagType.FLAVOUR,
            "Savory" to TagType.FLAVOUR,
            "Stir Fried" to TagType.TECHNIQUE,
            "Sauce" to TagType.TECHNIQUE,
            "Adaptable" to TagType.PROTEIN,
            "Garlic" to TagType.FLAVOUR,
            "Spicy" to TagType.FLAVOUR,
            "Simmered" to TagType.TECHNIQUE,
            "Fried" to TagType.TECHNIQUE
        ),
        image = Res.drawable.ayam_kecap,
        servings = "Serves 4",
        linkedRecipes = listOf(
            kecapManis, //Kecap Manis
        )
    ),
    Recipe(
        title = "Chicken Satay",
        description = "Indonesian grilled chicken skewers marinated in coconut milk and spices, served with a creamy peanut sauce.",
        prepTime = Duration.parse("2h 15m"), // 2 hours marinade + 15 min prep
        cookTime = Duration.parse("15m"),
        servings = "Serves 6-8",
        ingredients = listOf(
            "HEADER-Chicken Satay",
            "0.25 cup Coconut Milk",
            "2 Tbsp Reduced Sodium Soy Sauce",
            "2.5 Tsp Yellow Curry Powder",
            "1.5 Tsp Turmeric",
            "3 cloves Garlic, minced",
            "1 Tbsp freshly grated Ginger",
            "1 Tbsp Brown Sugar",
            "1 Tbsp Fish Sauce",
            "2 pounds boneless, skinless Chicken Thighs, cut into 1-inch chunks",
            "1 Tbsp Canola Oil",
            "Kosher Salt and freshly ground Black Pepper, to taste",

            "HEADER-Peanut Sauce",
            "3 Tbsp Creamy Peanut Butter",
            "1 Tbsp Kecap Manis",
            "4 Tbsp Lime Juice",
            "3 Tsp Brown Sugar",
            "2.5 Tbsp Chili Garlic Sauce, or more, to taste",
            "1 Tsp freshly grated Ginger",
            "2-3 Tbsp Water (for consistency)"
        ),
        instructions = listOf(
            "HEADER-Peanut Sauce",
            "In a small bowl, whisk together Peanut Butter [3 Tbsp], Kecap Manis [1 Tbsp], Lime Juice [4 Tbsp], Brown Sugar [3 Tsp], Chili Garlic Sauce [2.5 Tbsp], and Ginger [1 Tsp].",
            "Whisk in Water [2-3 Tbsp] until desired consistency is reached; set aside.",

            "HEADER-Chicken Marinade",
            "In a medium bowl, combine Coconut Milk [0.25 cup], Soy Sauce [2 Tbsp], Curry Powder [2.5 Tsp], Turmeric [1.5 Tsp], Garlic [3 cloves], Ginger [1 Tbsp], Brown Sugar [1 Tbsp], and Fish Sauce [1 Tbsp].",
            "In a gallon size Ziploc bag or large bowl, combine Chicken [2 pounds] and Coconut Milk mixture; marinate for at least 2 hours to overnight, turning the bag occasionally.",

            "HEADER-Cooking",
            "Drain the Chicken from the marinade, discarding the marinade.",
            "Preheat grill to medium-high heat. Thread Chicken onto skewers. Brush with Canola Oil [1 Tbsp]; season with Salt and Pepper, to taste.",
            "Add skewers to grill, and cook, turning occasionally, until the Chicken is completely cooked through, reaching an internal temperature of 165 degrees F, about 12-15 minutes. [alternatively, bake on the skewer, then broil, or just broil].",

            "HEADER-Serving",
            "Serve immediately with Peanut Sauce drizzled on top."
        ),
        tags = mapOf(
            "Indonesian" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Grilled" to TagType.TECHNIQUE,
            "Savory" to TagType.FLAVOUR,
            "Nutty" to TagType.FLAVOUR,
            "Sweet" to TagType.FLAVOUR,
            "Spicy" to TagType.FLAVOUR,
            "Carnivorous" to TagType.PROTEIN,
            "Skewered" to TagType.TECHNIQUE,
            "Garlic" to TagType.FLAVOUR,
            "Ginger" to TagType.FLAVOUR,
            "Sauce" to TagType.TECHNIQUE,
            "Condiment" to TagType.COURSE,
        ),
        image = Res.drawable.satay, // Replace with your image resource
        linkedRecipes = listOf(
            kecapManis, //Kecap Manis
        )
    )
)