package model.Europe

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Pesto
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources._10_strawberries
import recipeappkmp.shared.generated.resources.chicken_parmesan
import kotlin.time.Duration

val italianList = listOf(
    Recipe(
        title = "Pesto Sauce",
        description = "Italian Sauce of Fresh Basil, Mozzarella, Garlic, and Spices.",
        prepTime = Duration.parse("15m"),
        cookTime = Duration.ZERO,
        servings = "1 Batch",
        ingredients = listOf(
            "1 Bunch of Fresh Basil",
            ".5 Cup to .75 Cup of fresh Mozzarella Cheese, hand shredded",
            ".25 Cup Minced Garlic",
            "Smoked Paprika",
            ".25 Tsp Cayenne Powder",
            "Salt and Pepper to taste",
            "Olive Oil [as needed for consistency]",
            "Garlic oil, for taste",
            "White Wine, Fruity [such as layer cake]",
            "2 caps of Lemon Juice",
            ),
        instructions = listOf(
            "Shred Basil in a blender, slowly adding Oil until it blends smooth",
            "Add in Cheese, Garlic, and Spices, blend, adding more Oil as needed"
        ),
        tags = mapOf(
            "Italian" to TagType.CUISINE,
            "Sauce" to TagType.TECHNIQUE,
            "Blended" to TagType.TECHNIQUE,
            "Vegetarian" to TagType.PROTEIN,
            "Tangy" to TagType.FLAVOUR,
        ),
        image = Res.drawable.Pesto,
    ),

    Recipe(
        title = "Chicken Parmesan",
        description = "Chicken Breaded and Pan Fried, slathered in Marinara and Cheese and Baked.",
        prepTime = Duration.parse("20m"),
        cookTime = Duration.parse("40m"),
        servings = "Makes 4 Cutlets",
        ingredients = listOf(
            "2 Large Chicken Breasts",
            ".5 Cup Flour",
            "1 Tsp Salt",
            ".5 Tsp Pepper",
            "2 Eggs, Beaten",
            ".5 Cup Panko",
            ".5 Cup Parmesan, grated",
            "2 Tbsp Olive Oil",
            "24 Oz Marinara Sauce",
            "1.5 Cup Shredded Mozzarella Cheese",
            "1 Tbsp Fresh Basil Leaves, Chopped",
        ),
        instructions = listOf(
            "Heat the Oven to 425F",
            "Slice the Chicken Breasts [2] in half lengthwise to make [4] Cutlets",
            "Stir together Flour [.5 Cup], Salt [1 Tsp], Pepper [.5 Tsp]. In another bowl, Stir together Panko [.5 Cup] and Parmesan [.5 Cup]",
            "Coat Chicken in Flour Mixture, then Beaten Eggs, then Panko-Parm Mixture. Heat Olive Oil [2 Tbsp] in a shallow pan and saute the Chicken 3-4 min" +
                    " per side, until Golden Brown",
            "Pour Half the Marinara [12 Oz] into a 9x13 Casserole Dish. Arrange Cutlets in a single layer. Slather each with the rest of the Marinara [12 Oz] then" +
                    " cover with Shredded Mozzarella [1.5 Cups]. Bake for 15 minutes, then Garnish with Basil [1 Tbsp] and Serve.",
        ),
        tags = mapOf(
            "Italian" to TagType.CUISINE,
            "Savory" to TagType.FLAVOUR,
            "Carnivorous" to TagType.PROTEIN,
            "Entree" to TagType.COURSE,
            "Baked" to TagType.TECHNIQUE,
            "Pan Fried" to TagType.TECHNIQUE,
            "Creamy" to TagType.FLAVOUR
        ),
        image = Res.drawable.chicken_parmesan,
    ),
    
    Recipe(
        title = "Spaghetti all'Assassina | Assassin's Spaghetti",
        description = "Burnt and Spicy Spaghetti in a Rich Tomato Sauce.",
        prepTime = Duration.parse("10m"),
        cookTime = Duration.parse("20m"),
        servings = "Serves 4",
        ingredients = listOf(
            "4 Cups Water",
            "1 (28 Oz) Can Tomato Puree",
            "2 Tbsp Tomato Paste",
            "1 Tsp Salt",
            "2 Tbsp Olive Oil",
            "3 Cloves Garlic",
            "1 Tsp Red Pepper Flakes",
            "16 Oz Spaghetti",
        ),
        instructions = listOf(
            "Add Water [4 Cups] to a medium saucepan and bring to a boil. Add about 1/3rd of the Tomato Puree [9 oz] and the Tomato Paste [2 Tbsp]. " +
                    "Season with Salt [1 Tsp] and reduce heat to low. Keep hot, Set Aside.",
            "In a pan large enough to lay the Spaghetti [16 Oz] in a flat layer, heat Oil [2 Tbsp].",
            "Add Garlic [3 Cloves], Pepper Flakes [1 Tsp], and cook until fragrant, about 30 seconds.",
            "Add the rest of the Tomato Puree [18 oz] and season with Salt.",
            "Add the Pasta [16 oz] and spread out into a flat layer. Add Broth as needed to cover the Pasta.",
            "Cook the Pasta, undisturbed, for about 5 minutes. The Sauce should look pretty dry.",
            "Once the Pasta has burnt on the bottom, flip, scraping the burnt bits and covering with more Broth.",
            "Repeat until all the Broth has been absorbed by the Pasta.",
        ),
        tags = mapOf(
            "Vegan" to TagType.PROTEIN,
            "Italian" to TagType.CUISINE,
            "Spicy" to TagType.FLAVOUR,
            "Savory" to TagType.FLAVOUR,
            "Entree" to TagType.COURSE,
            "Pan Fried" to TagType.TECHNIQUE,
            "Burnt" to TagType.FLAVOUR,
        ),
        image = Res.drawable._10_strawberries,
    ),
    Recipe(
        title = "Cacio e Pepe",
        description = "A simple yet flavorful Italian pasta dish with Pecorino Romano cheese and black pepper.",
        prepTime = Duration.parse("5m"),
        cookTime = Duration.parse("20m"),
        servings = "Serves 4",
        ingredients = listOf(
            "8 ounces Spaghetti (may sub Bucatini)",
            "1 Tsp Salt (for pasta water)",
            "3 Tbsp Unsalted Butter",
            "1 Tbsp Extra Virgin Olive Oil",
            "1 Tsp Freshly-Cracked Coarse Black Pepper (about 50 turns)",
            "1.5 cups Finely Freshly-Grated Pecorino Romano (NOT Parmesan)",
            "8 cups Water"
        ),
        instructions = listOf(
            "Add Water [8 cups] to a Dutch oven (or stockpot wide enough to fit Spaghetti). The water will be very shallow because we want it to be very starchy. Cover and bring to a boil. Uncover and stir in Salt [1 Tsp] then add Spaghetti. Cook pasta until barely al dente (usually a few minutes less than package directions), stirring often so the Spaghetti doesn’t stick. See next step to complete while pasta is cooking.",
            "While the pasta is cooking, melt Butter [3 Tbsp] with Olive Oil [1 Tbsp] in a large skillet over medium heat. Add Pepper [1 Tsp], then cook for one minute. Set aside until pasta is done cooking.",
            "Once pasta is al dente, reserve 1.25 cups pasta water, then drain pasta in a colander and set aside.",
            "Slowly whisk in 1 cup reserved pasta water into the Butter off heat. Let stand 3 minutes.",
            "Gradually whisk Cheese [1.5 cups] into Butter water a little at a time until combined. Turn heat to LOW and whisk constantly until Cheese is completely melted and smooth.",
            "Add half of the Pasta to the skillet and stir to coat. Add remaining Pasta and toss until evenly combined, adding additional pasta water if needed to loosen pasta.",
            "Taste, and season with extra Salt and Pepper if desired. Serve warm."
        ),
        tags = mapOf(
            "Italian" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Savory" to TagType.FLAVOUR,
            "Spicy" to TagType.FLAVOUR,
            "Creamy" to TagType.FLAVOUR,
            "Vegetarian" to TagType.PROTEIN,
            "Simmered" to TagType.TECHNIQUE,
            "Tossed" to TagType.TECHNIQUE,
        ),
        image = Res.drawable._10_strawberries, // Replace with your image resource
    )
)