package model

import model.Africa.kenyanList
import model.Africa.sengaleseList
import model.Americas.SCPBP
import model.Americas.americanList
import model.Americas.brazilianList
import model.Americas.everythingSeasoning
import model.Americas.mexicanList
import model.Americas.peruvianList
import model.Americas.remouladeSauce
import model.Asia.chineseList
import model.Asia.indianList
import model.Asia.japaneseList
import model.Asia.kecapManis
import model.Asia.koreanList
import model.Asia.seaList
import model.Europe.frenchList
import model.Europe.georgianList
import model.Europe.greekList
import model.Europe.irishList
import model.Europe.italianList
import model.MiddleEast.palestineList

object Globe {

    fun getAllRecipes() : List<Recipe> {
        return EuropeRecipes.getAllRecipes() +
                AsiaRecipes.getAllRecipes()  +
                NorthAmericaRecipes.getAllRecipes() +
                SouthAmericaRecipes.getAllRecipes() +
                MiddleEastRecipes.getAllRecipes() +
                AfricaRecipes.getAllRecipes()
    }
}

private object EuropeRecipes {

    private val frenchRecipes = frenchList
    private val irishRecipes = irishList
    private val italianRecipes = italianList
    private val greekRecipes = greekList
    private val georgianRecipes = georgianList

    fun getAllRecipes() : List<Recipe> {
        return italianRecipes +
                greekRecipes +
                irishRecipes +
                frenchRecipes +
                georgianRecipes
    }
}

private object AsiaRecipes {
    private val chineseRecipes = chineseList
    private val indianRecipes = indianList
    private val japaneseRecipes = japaneseList
    private val koreanRecipes = koreanList
    private val seaRecipes = seaList
    private val kecapRecipe = kecapManis

    fun getAllRecipes() : List<Recipe>
    {
        return chineseRecipes +
                indianRecipes +
                japaneseRecipes +
                koreanRecipes +
                seaRecipes +
                kecapRecipe
    }
}

private object NorthAmericaRecipes {
    private val americanRecipes = americanList
    private val mexicanRecipes = mexicanList

    private val SCPBPRecipes = SCPBP
    private val everythingRecipe = everythingSeasoning
    private val remouladeRecipe = remouladeSauce

    fun getAllRecipes() : List<Recipe> {
        return americanRecipes +
                mexicanRecipes +
                SCPBPRecipes +
                everythingRecipe +
                remouladeRecipe
    }
}

private object SouthAmericaRecipes {

    private val brazilianRecipes = brazilianList
    private val peruvianRecipes = peruvianList

    fun getAllRecipes() : List<Recipe>
    {
        return brazilianRecipes +
                peruvianRecipes
    }
}

private object MiddleEastRecipes {

    private val palestineRecipes = palestineList

    fun getAllRecipes() : List<Recipe>
    {
        return palestineRecipes
    }

}

private object AfricaRecipes {

    private val senegalRecipes = sengaleseList
    private val kenyanRecipes = kenyanList


    fun getAllRecipes() : List<Recipe>
    {
        return senegalRecipes +
                kenyanRecipes
    }
}